Package org.jcsp.net.settings

# Class Services

java.lang.Object
org.jcsp.net.settings.Services

public class Services extends Object
Used internally within the JCSP network infrastructure to represent a set of services.

Author:
  Quickstone Technologies Limited

## Constructor Summary

Constructors
Constructor
Description
`Services()`

## Method Summary

Modifier and Type
Method
Description
`void`
`addService(Service s)`
`Service`
`getLastService()`
`Service`
`getService(String name)`
`Service[]`
`getServices()`
`void`
`removeService(Service s)`
`String`
`toString()`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

## Constructor Details

### Services

public Services()

## Method Details

### addService

public void addService(Service s)

### removeService

public void removeService(Service s)

### getService

public Service getService(String name)

### getLastService

public Service getLastService()

### getServices

public Service[] getServices()

### toString

public String toString()

Overrides:
  `toString` in class `Object`